package com.spring.series.aop.advice;

import org.aspectj.lang.annotation.AfterThrowing;
import org.aspectj.lang.annotation.Aspect;

@Aspect
public class AfterThrowingAdviceAnnotation {

	// execution(returnType qualified.package.name.classname.methodname(arguments))

	@AfterThrowing("execution(* com.spring.series.aop.service.*.get*(..))")
	public void afterReturningUsingAnnotation() {
		System.out.println("******** After Throwing Advice using Annotation ********");
	}
}