package com.spring.series.aop.advice;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;

@Aspect
public class BeforeAdviceAnnotation {

	// execution(returnType qualified.package.name.classname.methodname(arguments))

	@Before("execution(* com.spring.series.aop.service.*.get*(..))")
	public void beforeAdviceUsingAnnotation() {
		System.out.println("******** Before Advice using Annotation ********");
	}
}