package com.spring.series.aop.advice;

import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Aspect;

@Aspect
public class AfterFinallyAdviceAnnotation {

	// execution(returnType qualified.package.name.classname.methodname(arguments))

	@After("execution(* com.spring.series.aop.service.*.get*(..))")
	public void afterFinallyUsingAnnotation() {
		System.out.println("******** After (Finally) Advice using Annotation ********");
	}
}